Subject: Re: [bitcoindev] Re: The Future of Bitcoin Testnet

From: Calvin Kim <[email-masked]>
Date: Thu, 4 Apr 2024 21:30:19 -0700 (PDT)

Ok yeah seems bad enough. I support reseting testnet3.

However, I'm more inclined towards keeping the rules the same. We already 
have the code for resetting the difficulty so any "fix" would be just 
adding the burden of switching over to the new testnet for everyone. I 
haven't seen anyone here mention a reason for the change besides the fact 
that resetting testnet would be a good time to implement the change.

--- Calvin
On Thursday, April 4, 2024 at 10:02:15 PM UTC+9 Jameson Lopp wrote:

> On Thu, Apr 4, 2024 at 4:29 AM Calvin Kim <[email-masked]> wrote:
>
>> Throwing myself into the conversation because I think there's other devs 
>> that use testnet like I do.
>> I mainly use testnet for checking if the utreexod implementation I'm 
>> building runs into consensus
>> bugs due to the havoc of how testnet creates bursts of blocks and how it 
>> reorganizes itself. I find
>> the unpredictability a feature.
>>
>> > 1. Testnet3 has been running for 13 years. It's on block 2.5 million 
>> something and the block reward is down to ~0.014 TBTC, so mining is not 
>> doing a great job at distributing testnet coins any more.
>>
>> For my usage I never really see this as a problem since signet already 
>> provides that usecase. While
>> I can empathize with devs struggling to get coins, there's always signet 
>> for the usecase of testing
>> scripts/wallets. Signet doesn't really provide the same feature for my 
>> usecase. 
>>
>> > 2. The reason the block height is insanely high is due to a rather 
>> amusing edge case bug that causes the difficulty to regularly get reset to 
>> 1, which causes a bit of havoc. If you want a deep dive into the quirk: 
>> https://blog.lopp.net/the-block-storms-of-bitcoins-testnet/
>>
>> I stated this above but I find this as a feature.
>>
>> > 3. Testnet3 is being actively used for scammy airdrops; those of us who 
>> tend to be generous with our testnet coins are getting hounded by 
>> non-developers chasing cheap gains.
>>
>> Could I get links/sources for this? I'm curious as to how big of a 
>> problem this is.
>>
>> SatoshiVM airdrop: https://twitter.com/lopp/status/1753522413466464756
>
> Not sure how to prove that I'm inundated with beggars; I've probably 
> gotten 50 messages on a variety of platforms this year from non-developers 
> asking for testnet coins.
>
> > 4. As a result, TBTC is being actively bought and sold; one could argue 
>> that the fundamental principle of testnet coins having no value has been 
>> broken.
>>
>> Same for this. Would appreciate links/evidence.
>>
>>
> https://buytestnet.com/
> https://altquick.com/exchange/market/BitcoinTestnet
>  
>
>> > 1. Should we plan for a reset of testnet? If so, given how long it has 
>> been since the last reset and how many production systems will need to be 
>> updated, would a reset need to be done with a great deal of notice?
>>
>> I lean towards no unless the problem with testnet coins being valued is 
>> too significant.
>>
>> > 2. Is there interest in fixing the difficulty reset bug? It should be a 
>> one liner fix, and I'd argue it could be done sooner rather than later, and 
>> orthogonal to the network reset question. Would such a change, which would 
>> technically be a hard fork (but also arguably a self resolving fork due to 
>> the difficulty dynamics) necessitate a BIP or could we just YOLO it?
>>
>> Again, I'd lean towards keeping it the same.
>>
>> > 3. Is all of the above a waste of time and we should instead deprecate 
>> testnet in favor of signet?
>>
>> No as signet doesn't have the features I find valuable in testnet.
>>
>> Best,
>> Calvin
>>
>> -- 
>>
> You received this message because you are subscribed to the Google Groups 
>> "Bitcoin Development Mailing List" group.
>> To unsubscribe from this group and stop receiving emails from it, send an 
>> email to [email-masked].
>>
> To view this discussion on the web visit 
>> https://groups.google.com/d/msgid/bitcoindev/950b875a-e430-4bd8-870d-f9a9fab2493an%40googlegroups.com 
>> <https://groups.google.com/d/msgid/bitcoindev/950b875a-e430-4bd8-870d-f9a9fab2493an%40googlegroups.com?utm_medium=email&utm_source=footer>
>> .
>>
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/efa3e907-cd2b-4897-b476-8bbc6091a3edn%40googlegroups.com.